﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Telerik.Windows.Controls.ScheduleView;
using Telerik.Windows.DragDrop.Behaviors;
using System.Collections;

namespace ScheduleViewAndListBox
{
	public class ScheduleViewDragDropBehavior : Telerik.Windows.Controls.ScheduleViewDragDropBehavior
	{
			
		public override IEnumerable<IOccurrence> ConvertDraggedData(object data)
		{
			
			if (DataObjectHelper.GetDataPresent(data, typeof(Customer), false))
			{
				var customers = DataObjectHelper.GetData(data, typeof(Customer), true) as IEnumerable;
				if (customers != null)
				{					
					return customers.OfType<Customer>().Select(c => new CustomAppointment { Subject = c.Name });;
				}
			}

			return base.ConvertDraggedData(data);
		}
	}
	
}
